Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.tree.iter
Interface LookaheadIterator<T extends Item>

All Superinterfaces:
  SequenceIterator<T>

All Known Implementing Classes:
  AdjacentTextNodeMergingIterator, ArrayIterator, EmptyAxisIterator, EmptyIterator, GroupAdjacentIterator, GroupByIterator, GroupEndingIterator, GroupMatchingIterator, GroupStartingIterator, ItemMappingIterator, IteratorIterator, ListIterator, LookaheadIteratorImpl, ManualIterator, MergeEnumeration, MergeGroupingIterator, NodeWrappingAxisIterator, OneToOneMappingIterator, RangeIterator, ReverseArrayIterator, ReverseRangeIterator, SingleNodeIterator, SingletonIterator, SortedGroupIterator, SortedIterator, SubsequenceIterator, TailIterator, UnionEnumeration, UntypedAtomizingIterator, ValueTailIterator

    public interface LookaheadIterator<T extends Item>

extends SequenceIterator<T>

A SequenceIterator is used to iterate over a sequence. A LookaheadIterator is one that supports a hasNext() method to determine if there are more nodes after the current node.

Field Summary

Fields inherited from interface net.sf.saxon.om.SequenceIterator
`GROUNDED, LAST_POSITION_FINDER, LOOKAHEAD`

Method Summary
`boolean` | `hasNext()` Determine whether there are more items to come.

Methods inherited from interface net.sf.saxon.om.SequenceIterator
`close, current, getAnother, getProperties, next, position`

Method Detail

### hasNext

    boolean hasNext()

  Determine whether there are more items to come. Note that this operation is stateless and it is not necessary (or usual) to call it before calling next(). It is used only when there is an explicit need to tell if we are at the last element.

  This method must not be called unless the result of getProperties() on the iterator includes the bit setting `SequenceIterator.LOOKAHEAD`

  Returns:
    true if there are more items in the sequence

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.